# This file is in the public domain
libanastasisrest_SOURCES = [
    'anastasis_api_config.c',
    'anastasis_api_policy_store.c',
    'anastasis_api_policy_lookup.c',
    'anastasis_api_policy_meta_lookup.c',
    'anastasis_api_truth_challenge.c',
    'anastasis_api_truth_solve.c',
    'anastasis_api_truth_store.c',
    'anastasis_api_curl_defaults.c',
]
libanastasisrest = library(
    'anastasisrest',
    libanastasisrest_SOURCES,
    soversion: solibversions['libanastasisrest']['soversion'],
    version: solibversions['libanastasisrest']['soversion'],
    install_rpath: rpath_option,
    dependencies: [
        gnunetutil_dep,
        gnunetcurl_dep,
        gnunetjson_dep,
        json_dep,
        talerjson_dep,
        talercurl_dep,
        talermerchant_dep,
        talerjson_dep,
        talerutil_dep,
        curl_dep,
    ],
    include_directories: [incdir, configuration_inc],
    install: true,
    install_dir: get_option('libdir'),
)

libanastasisrest_dep = declare_dependency(link_with: libanastasisrest)
pkg.generate(
    libanastasisrest,
    url: 'https://taler.net',
    description: 'GNU Taler anastasis REST utilities library',
)


